net.corda.core.contracts

## Class UpgradeCommand

- net.corda.core.contracts.UpgradeCommand

- All Implemented Interfaces:
    CommandData

      public class UpgradeCommand
      implements CommandData

  Indicates that this transaction replaces the inputs contract state to another contract state

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpgradeCommand(java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> upgradedContractClass)` Indicates that this transaction replaces the inputs contract state to another contract state

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>>` | `component1()`
    `UpgradeCommand` | `copy(java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> upgradedContractClass)` Indicates that this transaction replaces the inputs contract state to another contract state
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>>` | `getUpgradedContractClass()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### UpgradeCommand

          public UpgradeCommand(java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> upgradedContractClass)

      Indicates that this transaction replaces the inputs contract state to another contract state

  - ### Method Detail

    - #### getUpgradedContractClass

          public java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> getUpgradedContractClass()

    - #### component1

          public java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> component1()

    - #### copy

          public UpgradeCommand copy(java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> upgradedContractClass)

      Indicates that this transaction replaces the inputs contract state to another contract state

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)